PxPlus User Forum

Twitter Twitter Twitter

Author Topic: Err=99 - NEW() not supported  (Read 701 times)

Lawrence_Leavell

  • Silver Member
  • ***
  • Posts: 49
    • View Profile
Err=99 - NEW() not supported
« on: September 14, 2021, 01:09:40 PM »
Somehow, both of our systems are reporting NEW( not supported.
How did this occur? How to correct it?
<<< *winproc, level 3 >>>
0036 IF %nomads=0 THEN LET _X=NEW("*obj/nomads")
?SSN
1700-664-0666769

Mike King

  • Administrator
  • Diamond Member
  • *****
  • Posts: 3658
  • Mike King
    • View Profile
    • PVX Plus Technologies
Re: Err=99 - NEW() not supported
« Reply #1 on: September 14, 2021, 01:51:17 PM »
The NEW itself may not be the issue.  It may be that some aspect of the initialization of the Nomads object is not supported.  Some possible causes:

  • Activation key is for prior release
    SSN just indicates what EXE is installed, not what release is active/enabled.  Issue a PKG command to confirm the activation level. 
  • Wrong library installed
    You have a newer library installed on the system than the EXE
  • You are running and older WindX version than the host.
    This can cause the Nomads initialization to detect that some functionality it needs is not available

James Zukowski

  • Diamond Member
  • *****
  • Posts: 225
    • View Profile
Re: Err=99 - NEW() not supported
« Reply #2 on: September 15, 2021, 02:23:14 PM »
Different, but somewhat related:
We rattled our brains a bit here trying to instantiate the *obj/excel object. We were also getting Error #99. Then I tried:
X=new("[lcl]*obj/excel")
and it worked. Could the documentation be updated to reflect the self vs client (WindX) usage, please? I presume it would also apply to *obj/word.

Thank you!
James Zukowski
Sr. Developer - J&E

BRAND>SAFWAY
Brand Industrial Services

Mike King

  • Administrator
  • Diamond Member
  • *****
  • Posts: 3658
  • Mike King
    • View Profile
    • PVX Plus Technologies
Re: Err=99 - NEW() not supported
« Reply #3 on: September 15, 2021, 02:32:27 PM »
You can only instantiate the interface to Excel or Word on a system that runs Excel or Word.  This means if your host server is Linux/Unix you MUST use WindX and include [lcl] or [wdx].

If however your host is Windows the system will determine based on the presence of the prefix which Excel/Word to load/interact -- the one on the server or the one on the workstation.

Mike King

  • Administrator
  • Diamond Member
  • *****
  • Posts: 3658
  • Mike King
    • View Profile
    • PVX Plus Technologies
Re: Err=99 - NEW() not supported
« Reply #4 on: September 15, 2021, 02:34:03 PM »
Oh -- I should have added, although it probably goes without saying, you need Excel / Word installed.

James Zukowski

  • Diamond Member
  • *****
  • Posts: 225
    • View Profile
Re: Err=99 - NEW() not supported
« Reply #5 on: September 15, 2021, 03:59:57 PM »
A note in the documentation might be helpful, so those not familiar with such intricacies might be better informed.
Thanks!
James Zukowski
Sr. Developer - J&E

BRAND>SAFWAY
Brand Industrial Services